Commit a738db7b authored by Thomas BOUTROUE's avatar Thomas BOUTROUE

Make QBS switch to C++11 if Qt version >= 5.7.0

parent 03c58aa5
Pipeline #617 passed with stage
in 3 seconds
......@@ -5,9 +5,13 @@ Product {
type: (project.buildAsSharedLib ? "dynamiclibrary" : "staticlibrary");
targetName: "Qt5HttpServer";
cpp.includePaths: ".";
cpp.cxxLanguageVersion: (Qt.core.versionMajor >= 5 && Qt.core.versionMinor >= 7 ? "c++11" : "c++98");
cpp.cxxStandardLibrary: "libstdc++"; // NOTE : because there are issues with libc++
Export {
cpp.includePaths: ".";
cpp.cxxLanguageVersion: (Qt.core.versionMajor >= 5 && Qt.core.versionMinor >= 7 ? "c++11" : "c++98");
cpp.cxxStandardLibrary: "libstdc++"; // NOTE : because there are issues with libc++
Depends {
name: "cpp";
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment